# Ipopt::SensApplication Class Reference

`#include <SensApplication.hpp>`

Inheritance diagram for Ipopt::SensApplication:
[legend]

List of all members.

## Public Member Functions
| SensApplication (SmartPtr< Journalist > jnlst, SmartPtr< OptionsList > options, SmartPtr< RegisteredOptions > reg_options)
| ~SensApplication ()
SensAlgorithmExitStatus | Run ()
void | Initialize ()
void | SetIpoptAlgorithmObjects (SmartPtr< IpoptApplication > app_ipopt, ApplicationReturnStatus ipopt_retval)
SmartPtr< Journalist > | Jnlst ()
SmartPtr< OptionsList > | Options ()
SmartPtr< const OptionsList > | Options () const
| Get the options list for setting options (const version).
void | GetDirectionalDerivatives (Number *SX, Number *SL, Number *SZL, Number *SZU)
| Copy over value of Directional Derivatives K^(-1)N_p(p-p0).
void | GetSensitivityMatrix (Number *SX, Number *SL, Number *SZL, Number *SZU)
| Copy over value of ds/dp.
Index | nx ()
| accessor methods to get sizing info
Index | nl ()
Index | nzu ()
Index | nzl ()
Index | np ()
## Static Public Member Functions
static void | RegisterOptions (SmartPtr< RegisteredOptions > roptions)
## Public Attributes
Number * | DirectionalD_X
Number * | DirectionalD_L
Number * | DirectionalD_Z_U
Number * | DirectionalD_Z_L
Number * | SensitivityM_X
Number * | SensitivityM_L
Number * | SensitivityM_Z_U
Number * | SensitivityM_Z_L
## Private Attributes
SmartPtr< Journalist > | jnlst_
SmartPtr< OptionsList > | options_
SmartPtr< IpoptData > | ip_data_
SmartPtr < IpoptCalculatedQuantities > | ip_cq_
SmartPtr< PDSystemSolver > | pd_solver_
SmartPtr< IpoptNLP > | ip_nlp_
SmartPtr< RegisteredOptions > | reg_options_
ApplicationReturnStatus | ipopt_retval_
SmartPtr< SensAlgorithm > | controller
bool | run_sens_
| storing options values
bool | compute_red_hessian_
bool | compute_dsdp_
Index | n_sens_steps_

## Detailed Description

Definition at line 26 of file SensApplication.hpp.

## Constructor & Destructor Documentation

Ipopt::SensApplication::SensApplication | ( | SmartPtr< Journalist > | jnlst,
|  | SmartPtr< OptionsList > | options,
|  | SmartPtr< RegisteredOptions > | reg_options |
| ) |  |  |

Ipopt::SensApplication::~SensApplication | ( |  | ) |

## Member Function Documentation

static void Ipopt::SensApplication::RegisterOptions | ( | SmartPtr< RegisteredOptions > | roptions | ) | `[static]`

SensAlgorithmExitStatus Ipopt::SensApplication::Run | ( |  | ) |

void Ipopt::SensApplication::Initialize | ( |  | ) |

void Ipopt::SensApplication::SetIpoptAlgorithmObjects | ( | SmartPtr< IpoptApplication > | app_ipopt,
|  | ApplicationReturnStatus | ipopt_retval |
| ) |  |  |

SmartPtr<Journalist> Ipopt::SensApplication::Jnlst | ( |  | ) | `[inline]`

Definition at line 45 of file SensApplication.hpp.

SmartPtr<OptionsList> Ipopt::SensApplication::Options | ( |  | ) | `[inline]`

Definition at line 51 of file SensApplication.hpp.

SmartPtr<const OptionsList> Ipopt::SensApplication::Options | ( |  | ) | const`[inline]`

Get the options list for setting options (const version).

Definition at line 57 of file SensApplication.hpp.

void Ipopt::SensApplication::GetDirectionalDerivatives | ( | Number * | SX,
|  | Number * | SL,
|  | Number * | SZL,
|  | Number * | SZU |
| ) |  |  | `[inline]`

Copy over value of Directional Derivatives K^(-1)N_p(p-p0).

Definition at line 63 of file SensApplication.hpp.

void Ipopt::SensApplication::GetSensitivityMatrix | ( | Number * | SX,
|  | Number * | SL,
|  | Number * | SZL,
|  | Number * | SZU |
| ) |  |  | `[inline]`

Copy over value of ds/dp.

Definition at line 75 of file SensApplication.hpp.

Index Ipopt::SensApplication::nx | ( |  | ) | `[inline]`

accessor methods to get sizing info

Definition at line 86 of file SensApplication.hpp.

Index Ipopt::SensApplication::nl | ( |  | ) | `[inline]`

Definition at line 87 of file SensApplication.hpp.

Index Ipopt::SensApplication::nzu | ( |  | ) | `[inline]`

Definition at line 88 of file SensApplication.hpp.

Index Ipopt::SensApplication::nzl | ( |  | ) | `[inline]`

Definition at line 89 of file SensApplication.hpp.

Index Ipopt::SensApplication::np | ( |  | ) | `[inline]`

Definition at line 90 of file SensApplication.hpp.

## Member Data Documentation

Number* Ipopt::SensApplication::DirectionalD_X

Definition at line 93 of file SensApplication.hpp.

Number* Ipopt::SensApplication::DirectionalD_L

Definition at line 94 of file SensApplication.hpp.

Number* Ipopt::SensApplication::DirectionalD_Z_U

Definition at line 95 of file SensApplication.hpp.

Number* Ipopt::SensApplication::DirectionalD_Z_L

Definition at line 96 of file SensApplication.hpp.

Number* Ipopt::SensApplication::SensitivityM_X

Definition at line 100 of file SensApplication.hpp.

Number* Ipopt::SensApplication::SensitivityM_L

Definition at line 101 of file SensApplication.hpp.

Number* Ipopt::SensApplication::SensitivityM_Z_U

Definition at line 102 of file SensApplication.hpp.

Number* Ipopt::SensApplication::SensitivityM_Z_L

Definition at line 103 of file SensApplication.hpp.

SmartPtr<Journalist> Ipopt::SensApplication::jnlst_`[private]`

Definition at line 111 of file SensApplication.hpp.

SmartPtr<OptionsList> Ipopt::SensApplication::options_`[private]`

Definition at line 112 of file SensApplication.hpp.

SmartPtr<IpoptData> Ipopt::SensApplication::ip_data_`[private]`

Definition at line 113 of file SensApplication.hpp.

SmartPtr<IpoptCalculatedQuantities> Ipopt::SensApplication::ip_cq_`[private]`

Definition at line 114 of file SensApplication.hpp.

SmartPtr<PDSystemSolver> Ipopt::SensApplication::pd_solver_`[private]`

Definition at line 115 of file SensApplication.hpp.

SmartPtr<IpoptNLP> Ipopt::SensApplication::ip_nlp_`[private]`

Definition at line 116 of file SensApplication.hpp.

SmartPtr<RegisteredOptions> Ipopt::SensApplication::reg_options_`[private]`

Definition at line 117 of file SensApplication.hpp.

ApplicationReturnStatus Ipopt::SensApplication::ipopt_retval_`[private]`

Definition at line 118 of file SensApplication.hpp.

SmartPtr<SensAlgorithm> Ipopt::SensApplication::controller`[private]`

Definition at line 120 of file SensApplication.hpp.

bool Ipopt::SensApplication::run_sens_`[private]`

storing options values

Definition at line 123 of file SensApplication.hpp.

bool Ipopt::SensApplication::compute_red_hessian_`[private]`

Definition at line 124 of file SensApplication.hpp.

bool Ipopt::SensApplication::compute_dsdp_`[private]`

Definition at line 125 of file SensApplication.hpp.

Index Ipopt::SensApplication::n_sens_steps_`[private]`

Definition at line 126 of file SensApplication.hpp.

The documentation for this class was generated from the following file:

- contrib/sIPOPT/src/SensApplication.hpp

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Defines